%bcond_with tests
%global srcname kombu
 
Summary:        An AMQP Messaging Framework for Python
Name:           python-%{srcname}
Version:        5.3.1
Release:        1%{?dist}
License:        BSD and Python
URL:            http://kombu.readthedocs.org/
Source0:        https://github.com/celery/kombu/archive/v%{version}/%{srcname}-%{version}.tar.gz
 
BuildArch: noarch
 
%description
Kombu is a messaging library for Python. It aims to make messaging in Python as easy as possible 
by providing an idiomatic high-level interface for the AMQ protocol, and also provide proven and 
tested solutions to common messaging problems.

AMQP is the Advanced Message Queuing Protocol, an open standard protocol for message orientation, 
queuing, routing, reliability and security, for which the RabbitMQ messaging server is the most 
popular implementation.
 
%package -n python3-%{srcname}
Summary:        %{summary}
 
BuildRequires:  python3-devel python3-setuptools
%if %{with tests}
BuildRequires:  python3-amqp python3-pymongo python3-vine python3-pytz python3-pyro
BuildRequires:  python3-sqlalchemy python3-boto3 python3-pytest python3-brotli
BuildRequires:  python3-azure-mgmt-servicebus python3-azure-mgmt-storage
%endif
Requires:       python3-amqp python3-vine
 
%description -n python3-%{srcname}
Kombu is a messaging library for Python. It aims to make messaging in Python as easy as possible 
by providing an idiomatic high-level interface for the AMQ protocol, and also provide proven and 
tested solutions to common messaging problems.

AMQP is the Advanced Message Queuing Protocol, an open standard protocol for message orientation, 
queuing, routing, reliability and security, for which the RabbitMQ messaging server is the most 
popular implementation.
 
%prep
%autosetup -n %{srcname}-%{version}
 
%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
%pytest
%endif
 
%files -n python3-%{srcname}
%license LICENSE
%doc AUTHORS FAQ READ* THANKS TODO examples/
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}*.egg-info
 
%changelog
* Wed Sep 27 2023 Wang Guodong <gordonwwang@tencent.com> - 5.3.1-1
- Upgrade to version 5.3.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.4-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.4-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 Wang Guodong <gordonwwang@tencent.com> - 5.2.4-1
- initial build
 
